Bug 620687 - hello_world example does not allow connection options to be set
Summary: hello_world example does not allow connection options to be set
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.3.0.1
: ---
Assignee: Jonathan Robie
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 652093
TreeView+ depends on / blocked
 
Reported: 2010-08-03 09:25 UTC by Gordon Sim
Modified: 2013-08-06 00:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The example programs for messaging did not provide any way to alter or access the connection options (e.g. to test reconnect, to set a username for authentication, etc.). In order to demonstrate these features, the user needed to alter the code and rebuild the examples. With this update, an additional optional CLI argument was added to the example programs so that a user is able to (in the command line) use connection options and demonstrate/test connection options without needing to modify and rebuild the example programs.
Story Points: ---
Clone Of:
: 652093 (view as bug list)
Environment:
Last Closed: 2010-11-30 17:50:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0921 normal SHIPPED_LIVE Important: Red Hat Enterprise MRG Messaging and Grid security update 2010-11-30 17:50:15 UTC

Description Gordon Sim 2010-08-03 09:25:23 UTC
Description of problem:

hello_world example does not allow connection options to be set, e.g. sasl-mechanism or username etc. 
 
Version-Release number of selected component (if applicable):

qpid-cpp-client-devel-0.7.946106-11.el4

Comment 1 Jonathan Robie 2010-09-14 21:23:32 UTC
Fixed upstream in svn commit 997099. Documented upstream in Programming in Apache Qpid in svn commit 997102.

Leaving open because it is not yet in the Red Hat packages.

Comment 2 Jonathan Robie 2010-11-05 21:01:54 UTC
Cherry-picked into:

mrg_1.3.x
7e6ad5d5a20356aa9a50412145e87d381c3e7f20
ee4bc2ea6453653271ef1e9888e01db8ce0759d0

Comment 3 Ted Ross 2010-11-10 01:49:42 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The example programs for messaging did not provide any way to alter or access the connection options (needed to test reconnect or to set a username for authentication, etc.)

Consequence: In order to demonstrate these features, a user needed to alter the code and rebuild the examples.

Fix: An additional. optional CLI argument was added to the example programs so that a user can, in the command line, add connection options.

Result: Users may now demonstrate/test connection options without needing to modify and rebuild the example programs.

Comment 5 Lubos Trilety 2010-11-10 13:28:37 UTC
Tested with (version):
qpid-cpp-client-0.7.946106-19
qpid-cpp-client-devel-0.7.946106-19
qpid-cpp-server-store-0.7.946106-19
qpid-cpp-client-ssl-0.7.946106-19
qpid-cpp-server-devel-0.7.946106-19
qpid-cpp-client-devel-docs-0.7.946106-19
qpid-cpp-server-ssl-0.7.946106-19
qpid-cpp-server-xml-0.7.946106-19
qpid-cpp-mrg-debuginfo-0.7.946106-19
qpid-cpp-server-0.7.946106-19

Tested on:
RHEL5 i386,x86_64  - passed
RHEL4 i386,x86_64  - passed

>>> VERIFIED

Comment 7 errata-xmlrpc 2010-11-30 17:50:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0921.html

Comment 8 Martin Prpič 2010-12-01 14:49:32 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-Cause: The example programs for messaging did not provide any way to alter or access the connection options (needed to test reconnect or to set a username for authentication, etc.)
+The example programs for messaging did not provide any way to alter or access the connection options (e.g. to test reconnect, to set a username for authentication, etc.). In order to demonstrate these features, the user needed to alter the code and rebuild the examples. With this update, an additional optional CLI argument was added to the example programs so that a user is able to (in the command line) use connection options and demonstrate/test connection options without needing to modify and rebuild the example programs.-
-Consequence: In order to demonstrate these features, a user needed to alter the code and rebuild the examples.
-
-Fix: An additional. optional CLI argument was added to the example programs so that a user can, in the command line, add connection options.
-
-Result: Users may now demonstrate/test connection options without needing to modify and rebuild the example programs.


Note You need to log in before you can comment on or make changes to this bug.